| Home | Libraries | People | FAQ | More

#### ever_circling_iterator

Iterator which ever circles through a range.

###### Synopsis

    template<typename Iterator>
    struct ever_circling_iterator
    {
      // ...
    };

###### Template parameter(s)

Parameter | Description
--- | ---
typename Iterator | iterator on which this class is based on

###### Constructor(s)

Function | Description | Parameters
--- | --- | ---

    ever_circling_iterator(Iterator begin, Iterator end, bool skip_first = false)

Iterator: begin:

Iterator: end:

bool: skip_first:

    ever_circling_iterator(Iterator begin, Iterator end, Iterator start, bool skip_first = false)

Iterator: begin:

Iterator: end:

Iterator: start:

bool: skip_first:

###### Member Function(s)

Function | Description | Parameters | Returns
--- | --- | --- | ---

    void moveto(Iterator it)

Iterator: it:

###### Header

`#include <boost/geometry/iterators/ever_circling_iterator.hpp>`